## Index

### Classes

- AppComponent
- AppConfig
- AppModule
- BreadcrumbComponent
- BreadcrumbDemoShowcase
- DotSettings
- DotcmsBreadcrumbModule
- DotcmsSiteDatatableModule
- DotcmsSiteSelectorModule
- DotcmsSiteTreeTableModule
- DotcmsTreeableDetailModule
- File
- FileService
- FileSystemService
- Folder
- HttpClient
- IntroDemoShowcase
- JWTAuthService
- LocalStoreService
- LoggerService
- Notification
- NotificationService
- SettingsStorageService
- Site
- SiteBrowserService
- SiteBrowserState
- SiteDatatableComponent
- SiteDatatableDemoShowcase
- SiteDatatableService
- SiteSelectorComponent
- SiteSelectorDemoShowcase
- SiteSelectorService
- SiteTreeTableComponent
- SiteTreeTableDemoShowcase
- SiteTreetableService
- Treeable
- TreeableDetailComponent
- TreeableDetailComponentDemoShowcase

### Variables

- appRoutes
- fs
- platform
- prismjs
- routing

## Variables

### appRoutes

appRoutes: Routes = [{path: '',component: IntroDemoShowcase,},{path: 'breadcrumb',component: BreadcrumbDemoShowcase},{path: 'site-datatable',component: SiteDatatableDemoShowcase},{path: 'site-selector',component: SiteSelectorDemoShowcase},{path: 'site-treetable',component: SiteTreeTableDemoShowcase},{path: 'treable-detail',component: TreeableDetailComponentDemoShowcase},]

- Defined in showcase/app/app.routing.ts:11

### fs

fs: any = require('fs')

- Defined in core/util/filesystem.service.ts:4
- Defined in components/site-treetable/site-treetable.component.ts:12

### platform

platform: PlatformRef = platformBrowserDynamic()

- Defined in showcase/main.ts:3

### prismjs

prismjs: any = require('../assets/js/prism')

- Defined in showcase/app/app.component.ts:5

### routing

routing: ModuleWithProviders = RouterModule.forRoot(appRoutes)

- Defined in showcase/app/app.routing.ts:40

Generated using TypeDoc